[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TFPList.Add

Adds a new pointer to the list.

## Declaration

Source position: classesh.inc line 242

`public function TFPList.Add(`
`Item: Pointer`
`):Integer;`

## Description

Add adds a new pointer to the list after the last pointer (i.e. at position Count, thus increasing the item count with 1. If the list is at full capacity, the capacity of the list is expanded, using the Expand method.

To insert a pointer at a certain position in the list, use the Insert method instead.

## See also

Delete |  | Removes a pointer from the list.
Grow
Insert |  | Inserts a new pointer in the list at a given position.